﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <script type="text/javascript">
        $(document).ready(function () {

            var future1 = new Date();
            var future2 = new Date();

            $('#sidebarCollapse').on('click', function () {
                $(".coach-bar").toggleClass('hide');
                $(".leftsidebar").toggleClass('hide');
                $('#Tsidebar').toggleClass('active');
                $(this).toggleClass('active');
            });
            
            $.datetimepicker.setLocale('en');
            $('#datetimepickerFrom').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future1.setDate(future1.getDate() - 28))
            }
            );
            $('#datetimepickerTo').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future2.setDate(future2.getDate() - 28))
            });
        });
    </script>
</head>
<body>
    <div class="container-fluid">
        <div class="row-fluid">
            <h3>Insights - Usage</h3>
            <hr />
            <div class="coach-bar">
                <h5>Landing page for Insights. Coach bar text to be completed</h5>
            </div>
            <!-- Sidebar -->
            <!--<div class="wrapper">-->
            <div class="leftsidebar col-lg-6">
                <nav id="sidebar" class="card card-body bg-light">
                    <div class="sidebar-header">
                        <h4>Views : </h4>
                    </div>

                    <ul class="list-unstyled components">
                        <!--<p>Views</p>-->
                        <li class="active">
                            <a href="http://localhost:65312/Default.html#/SystemUse" >System Use</a>
                            <!--<ul class="collapse list-unstyled" id="homeSubmenu">class="dropdown-toggle"
                                <li>
                                    <a href="#" aria-expanded="false">Home 1</a>
                                </li>
                                <li>
                                    <a href="#" aria-expanded="false">Home 2</a>
                                </li>
                                <li>
                                    <a href="#" aria-expanded="false">Home 3</a>
                                </li>
                            </ul>-->
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/ProgressRep" data-toggle="collapse" aria-expanded="false">Progress</a>
                            <!--<ul class="collapse list-unstyled" id="pageSubmenu">
                                <li>
                                    <a href="#">Page 1</a>
                                </li>
                                <li>
                                    <a href="#">Page 2</a>
                                </li>
                                <li>
                                    <a href="#">Page 3</a>
                                </li>
                            </ul>-->
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/areasreport">Popular Areas</a>
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/proActreport">Team Proactivity</a>
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/pdpTeamActreport">Manager PDP to Team Activity</a>
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/Feedbackusereport">Feedback Use</a>
                        </li>
                        <li>
                            <a href="#">Use to Attrition rates</a>
                        </li>
                        <li>
                            <a href="#">System Use to Age range</a>
                        </li>
                        <li>
                            <a href="http://localhost:65312/Default.html#/OutstActreport">Outstanding Activity</a>
                        </li>
                    </ul>
                </nav>
            </div>
            <div class="rightsidebar ">
                <div class="wrapper">
                    <div id="content">
                        <button type="button" id="sidebarCollapse" class="navbar-btn active">
                            <span></span>
                            <span></span>
                            <span></span>
                        </button>
                        <div>

                        </div>

                    </div>

                    <nav id="Tsidebar" class="active card card-body bg-light">

                        <div class="sidebar-header">
                            <h4 style="color:#1F4E79;">Filters:</h4>
                        </div>
                        <form class="form-horizontal" name="myForm" role="form" ng-controller="SearchController">
                            <div class="form-group">
                                <label for="inputName3" class="col-sm-4 control-label">User name</label>
                                <div class="col-sm-8 input">
                                    <input class="form-control" id="inputName3" ng-model="formInfo.Username">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputEmail3" class="col-sm-4 control-label">Manager</label>
                                <div class="col-sm-8 input">
                                    <input class="form-control" id="inputEmail3"  value="me" ng-model="formInfo.Manager">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Department</label>
                                <div class="col-sm-8 input" >
                                    <select ng-options="d for d in deplist" class="form-control" ng-model="formInfo.Dept">
                                        <!--ng-model="selected"-->
                                        <option value="">-- Select --</option>
                                    </select>
                                    <!--<select class="form-control" ng-model="formInfo.Dept">
        <option value="1">1</option>
    </select>-->
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Role</label>
                                <div class="col-sm-8 input" >
                                    <select  ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Role">    <!--ng-model="selected"-->
                                        <option value="">-- Select --</option>
                                    </select>

                                    <!--<p>Selected Book: <b>{{ selected }}</b></p>-->
                                    
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Aspiration</label>
                                <div class="col-sm-8 input" >
                                    <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Aspr">
                                        <!--ng-model="selected"-->
                                        <option value="">-- Select --</option>
                                    </select>
                                    <!--<select class="form-control" ng-model="formInfo.Aspr">
        <option value="1">1</option>
    </select>-->
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Location</label>
                                <div class="col-sm-8 input" >
                                    <select ng-options="l for l in loclist" class="form-control" ng-model="formInfo.Loc">
                                        <!--ng-model="selected"-->
                                        <option value="">-- Select --</option>
                                    </select>
                                    <!--<select class="form-control" ng-model="formInfo.Loc">
        <option value="1">1</option>
    </select>-->
                                </div>
                            </div>
                            <!--<input type="text" value="Y-m-d H:i:s" id="datetimepicker_format_value" />-->
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Date From</label>
                                <div class="col-sm-8 input">
                                    <input id="datetimepickerFrom" class="form-control" autocomplete="off" type="text" ng-model="formInfo.frmDate" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Date To</label>
                                <div class="col-sm-8 input">
                                    <input id="datetimepickerTo" class="form-control" autocomplete="off" type="text" ng-model="formInfo.toDate" />
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="btn-toolbar">
                                    <button id="btnclear" type="reset"  class="btn col-lg-3" ng-click="resetForm()">Clear</button>
                                    <button id="btnapply" type="submit" class="btn col-lg-3" ng-click="saveData()">Apply</button>
                                </div>
                            </div>
                            <span>{{formInfo}}</span>
                        </form>
                    </nav>


                </div>
            </div>
        </div>
    </div>
</body>
</html>

